IndenterConfigPage Class Referenceabstract

`#include <kateautoindent.h>`

Inherits QWidget.

Inherited by ScriptIndentConfigPage.

## Public Slots

virtual void | apply ()=0

## Public Member Functions

| IndenterConfigPage (QWidget *parent=0, const char *name=0)

## Detailed Description

This widget will be embedded into a modal dialog when clicking the "Configure..." button in the indentation config page.

To add a config page for an indenter there are several todos:

- Derive a class from this class. This widget will be embedded into the config dialog.
- Override the slot `apply()`, which is called when the configuration needs to be saved.
- Override `KateAutoIndent::configPage()` to return an instance of this dialog.
- Return `true` in `KateAutoIndent::hasConfigPage()` for the corresponding indenter id.

Definition at line 44 of file kateautoindent.h.

## Constructor & Destructor Documentation

IndenterConfigPage::IndenterConfigPage | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

inline

Standard constructor.

Parameters

  parent | parent widget
  name | name

Definition at line 54 of file kateautoindent.h.

## Member Function Documentation

virtual void IndenterConfigPage::apply | ( |  | ) |

pure virtual slot

Apply the changes.

Save options here, use `kapp->config()` and group [Kate Indenter MyIndenter].

The documentation for this class was generated from the following file:

- kateautoindent.h

KDE Home | KDE Accessibility Home | Description of Access Keys